site_name: CiviCRM Developer Guide
repo_url: https://github.com/civicrm/civicrm-dev-docs
site_description: A guide for CiviCRM developers.
site_author: The CiviCRM community
theme: readthedocs
extra_javascript:
  - js/custom.js
markdown_extensions:
  - markdown.extensions.admonition
pages:
- Home: index.md
- Basics:
  - Developer Community: basics/community.md
  - Prerequisite skills: basics/skills.md
  - Requirements: requirements.md
  - Planning your project: basics/planning.md
  - Build: build.md
  - Customize: customize.md
  - Extend: extend.md
  - Develop: develop.md
  - Testing: testing.md
  - Writing Documentation: documentation.md
- APIv3:
  - API Intro: api/general.md
  - API Usage: api/usage.md
  - API Actions: api/actions.md
  - API Parameters: api/params.md
  - API Chaining: api/chaining.md
- Hooks:
   - How to Use Hooks: hook.md
   - All Available Hooks: hooks-db.md
- Writing Extensions:
  - Basics: extensions/basics.md
  - Using civix: extensions/civix.md
  - Anatomy of Files: extensions/files.md
  - Advanced Patterns: extensions/advanced.md
  - Troubleshooting: extensions/troubleshooting.md
  # - Using hooks: extensions/using-hooks.md
  # - Customizing Screens: extensions/customize-screens.md
  # - Creating Pages: Forms/extensions/create-page.md
  # - Storing Configuration: extensions/config.md
  # - Storing Data: extensions/storing-data.md
  # - Setting Permissions: extensions/permissions.md
  # - Custom API Functions: extensions/custom-api.md
  # - Custom Reports: extensions/custom-reports.md
  # - Custom Searches: extensions/custom-searches.md
  # - Payment Processors: extensions/payment-processor.md
- Best Practices:
  - Documentation Style Guide: best-practices/documentation-style-guide.md
- Core code:
  - Hacking the core: core/hacking.md
  - Architecture: core/architecture.md
- Miscellaneous:
   - Extension Lifecycle: extend-stages.md
   - Markdown: markdownrules.md
   # - hookref-old: hookref-old.md
- Deprecated:
   - Building CiviCRM from source: develop-deprecated.md
